android2.3编译遇到错误,求教! [问题点数:60分]

Bbs1
本版专家分:1
结帖率 75%
Bbs9
本版专家分:58254
Blank
红花 2012年6月 移动平台大版内专家分月排行榜第一
2012年5月 移动平台大版内专家分月排行榜第一
2012年4月 移动平台大版内专家分月排行榜第一
2012年3月 移动平台大版内专家分月排行榜第一
2012年2月 移动平台大版内专家分月排行榜第一
2012年1月 移动平台大版内专家分月排行榜第一
2011年12月 移动平台大版内专家分月排行榜第一
2011年11月 移动平台大版内专家分月排行榜第一
2011年10月 移动平台大版内专家分月排行榜第一
2011年9月 移动平台大版内专家分月排行榜第一
2011年6月 移动平台大版内专家分月排行榜第一
2011年5月 移动平台大版内专家分月排行榜第一
2011年4月 移动平台大版内专家分月排行榜第一
Blank
黄花 2011年8月 移动平台大版内专家分月排行榜第二
2011年7月 移动平台大版内专家分月排行榜第二
2011年3月 移动平台大版内专家分月排行榜第二
Blank
蓝花 2012年8月 移动平台大版内专家分月排行榜第三
2012年7月 移动平台大版内专家分月排行榜第三
Bbs4
本版专家分:1140
Blank
黄花 2005年6月 专题开发/技术/项目大版内专家分月排行榜第二
编译android2.3源码过程中的错误
1、问题一:/bin/bash: bison: 未找到命令  解决方法:$ sudo apt-get install bison   2、问题二: You are attempting to build with the incorrect version of java. Your version is: /bin/bash: java: 未找到命令. The correct ver
Android2.3源码下载编译全过程
@官方的文档地址:http://source.android.com/source/download.html(但可能会<em>遇到</em>点问题请看下面的讲解)@系统要求:1 ubuntu 10.04或以上版本 2 64位系统(查看系统命令: uname -m 如果出现i386 i686 i586则是32位 如果出现amd64 则是64位系统) 3 jdk1.6 或更高版本@说明...
android2.3编译的两个问题
按照release note http://www.omappedia.com/wiki/PandaBoard_L27.12.1-P2_Release_Notes 终于把panda board的源码准备好了。在<em>编译</em>android的时候,<em>遇到</em>了两个问题: 1 提示需要64bit的
android2.3编译成功的gdbserver
<em>android2.3</em>版本下<em>编译</em>成功的gdbserver,可以直接拷贝到真机上运行,版本未7.1。使用时要注意版本的问题
关于编译android2.3的问题
最近直接<em>编译</em>android 2.3源码.出现很多<em>错误</em>.现在对修改的内容做如下说明.以备以后查用: 1.JDK版本必须是1.6版本.2.修改下面4个文件中LOCAL_CFLAGS,LOCAL_LDFLAGS标记为-m32 external/clearsilver/cgi/Android.mk external/clearsilver/java-jni/Android.mk  external
android2.3编译问题
<em>android2.3</em>的<em>编译</em>问题:rn同样的代码 在同事机器上就可以编过rn为什么我的机器上会有这个<em>错误</em>?rn我的rnaopclinux 2.3 # java -versionrnjava version "1.6.0_22"rnJava(TM) SE Runtime Environment (build 1.6.0_22-b04)rnJava HotSpot(TM) Server VM (build 17.1-b03, mixed mode)rn=========================================rn<em>编译</em><em>错误</em>: rnrn private BASE64Encoder mBase64Encoder;rn ^rnsdk/sdkmanager/libs/sdklib/src/com/android /sdklib /internal/repository/RepoSource.java:40: 软件包 javax.net.ssl 不存在rnimport javax.net.ssl.SSLKeyException;rnrnrnsdk/sdkmanager/libs/sdklib/src/com/android /sdklib /internal/repository/RepoSource.java:242: 找不到符号rn符号: 类 SSLKeyExceptionrn位置: 类 com.android.sdklib.internal.repository.RepoSourcern else if (exception[0] instanceof SSLKeyException) [b][/b]
Android2.3 如何编译——解决
Checking build tools versions...build/core/main.mk:77: ************************************************************build/core/main.mk:78: You are attempting to build on a 32-bit system.build/core/main.mk:79: Only 64-bit build environments are supported bey
android2.3编译小记
1:装VMWARE和ubuntu10.10 并能上网和共享文件。2:将下载下来的JDK1.6,TCC88xx/89xx及相关资料放于共享文件夹里面。3:以ROOT用户登录,输入$apt-get install git-core gnupg flex bison gperf libsdl-dev libesd0-dev libwxgtk2.6-dev build-essential zip curl libncurses5-dev zlib1g-dev4:再输入: $ apt-get install lib6
编译Android2.3出现的问题
问题1: Unknown parameter a interfaceName fortags/attrs make: *** [out/target/product/eve/obj/STATIC_LIBRARIES/libwebcore_intermediates/WebCore/JSHTMLElementWrapperFactory.h] Error 255
android2.3下载和编译
curl http://git-repo.googlecode.com/files/repo-1.12 > ~/bin/repo
编译错误,求教!!!!
public class MyAppprnrn public static void main(String[] args)rn rn String str1 = new String("this is a string");rn String str2 = new String("this is string");rnrn if (str1.equalTo(str2))rn rn System.out.println("str1和str2相等");rn rn elsern rn System.out.println("str1和str2不相等");rn rn if (str1.StartsWith("this"))rn rn System.out.println("str1以'this'开头");rn rn rn rnrn<em>编译</em>有<em>错误</em>,请高手们给我看看,是什么<em>错误</em>?
directshow编译遇到错误
使用Visual Studio.net 2005 <em>编译</em> Microsoft Platform SDK/Samples/Multimedia/DirectShow/BaseClasses 的问题 使用Visual Studio.net 2005 <em>编译</em> Microsoft Platform SDK/Samples/Multimedia/DirectShow/Base
编译遇到“__stack_chk_fail_local”错误
若在ubuntu上<em>编译</em>代码<em>遇到</em>”__stack_chk_fail_local”<em>错误</em>时,在makefile CFLAGS中加入”-fno-stack-protector”注意是在gcc<em>编译</em>时加上参数,不是在ld链接时加上
编译pandaboard遇到错误
我按照http://source.android.com/source/building.html上面的设置环境并且下载<em>编译</em>源码但是出现了<em>错误</em>rn如下:rnrn/home/ssl/ANDROID4.0/prebuilts/gcc/linux-x86/arm/arm-linux-rnandroideabi-4.6/bin/../lib/gcc/arm-linux-androideabi/4.6.x-rngoogle/../../../../arm-linux-androideabi/bin/ld: out/target/product/rnpanda/obj/SHARED_LIBRARIES/libssl_intermediates/s2_srvr.o: in functionrnssl2_accept:external/openssl/ssl/s2_srvr.c:154: error: undefinedrnreference to 'RAND_add'rn/home/ssl/ANDROID4.0/prebuilts/gcc/linux-x86/arm/arm-linux-rnandroideabi-4.6/bin/../lib/gcc/arm-linux-androideabi/4.6.x-rngoogle/../../../../arm-linux-androideabi/bin/ld: out/target/product/rnpanda/obj/SHARED_LIBRARIES/libssl_intermediates/ssl_err.o: in functionrnERR_load_SSL_strings:external/openssl/ssl/ssl_err.c:572: error:rnundefined reference to 'ERR_load_strings'rncollect2: ld returned 1 exit statusrnmake: *** [out/target/product/panda/obj/SHARED_LIBRARIES/rnlibssl_intermediates/LINKED/libssl.so] Error 1rnmake: *** Waiting for unfinished jobs....rnrn太长了发不了中间省略了一些
编译sample遇到错误
 无论是<em>编译</em>sdk的sample,还是NokiaCV附带的例子,常常<em>遇到</em>莫名其妙的<em>错误</em>。更莫名其妙的是,有时候没改过什么,<em>错误</em>就没了。摸索了两天,觉得<em>编译</em>一个project的流程大致如下,假设project已经导入或者创建,carbide.c++ v2.0.2 1,Build configuration选中项目,alt+enter,或者右键项目->Properties1.1 Pro
编译遇到错误
1、 make: *** [out/host/linux-x86/obj/EXECUTABLES/obbtool_intermediates/Main.o] <em>错误</em> 1 make: *** 正在等待未完成的任务.... -----CAUTION! Error(s) while Compiling, please check the log above.----- 网上参考 :http://w
Java编译遇到错误
1.<em>错误</em>: 仅当显式请求注释处理时才接受类名称 'GenerateStr'   原因:javac命令最后缺少.java2.<em>错误</em>: 不兼容的类型: 从double转换到float可能会有损失   原因:float val=5.6;  5.6是double的,不能赋给float...
ros编译遇到错误
在使用gazebo仿真和学习机器人导航(navigation)时<em>遇到</em>的问题: (1) Could not find a package configuration file provided by "gazebo_ros_control" with any of the following names: gazebo_ros_controlCon...
ubuntu12.04下载编译android2.3源代码
本文是参照     http://blog.csdn.net/luoshengyang/article/details/6559955 步骤进行的,但由于该博客中有些内容地址不存在,结合自己的实践写的一篇文章。在这里感谢罗老师在他博客里详细的讲解,让我初次<em>编译</em>android源代码少走了不少弯路。   一.环境准备 1.   安装ubuntu12.04系统 2.   安装Git工具。Andr
ubuntu10.04 下编译android2.3代码出错
host Java: clearsilver (out/host/common/obj/JAVA_LIBRARIES/clearsilver_intermediates/classes)rnrntarget Java: core (out/target/common/obj/JAVA_LIBRARIES/core_intermediates/classes)rn rnmake[2]: *** 没有规则可以创建“out/host/linux-x86/obj/EXECUTABLES/aapt_intermediates/aapt”需要的目标“out/host/linux-x86/obj/STATIC_LIBRARIES/liblog_intermediates/liblog.a”。 停止。rn rnmake[2]: *** 正在等待未完成的任务.... rnhost Java: dx (out/host/common/obj/JAVA_LIBRARIES/dx_intermediates/classes) rn注意:某些输入文件使用了未经检查或不安全的操作。 rn注意:要了解详细信息,请使用 -Xlint:unchecked 重新<em>编译</em>。 rn注意:某些输入文件使用或覆盖了已过时的 API。
ubuntu下编译android2.3源码问题集
最近在ubuntu下<em>编译</em><em>android2.3</em>的源码,并修改了某些模块,以下是<em>遇到</em>到一些问题,待续.... 1. 解决Ubuntu安装sun-java6-jre时无法选择ok键的问题    先点一下tab键才能选ok键 2. 删除原来的JDK: sudo apt-get remove sun-java6-jre sun-java6-plugin sun-java6-b
编译android2.3时出现的问题
make之后出现: 1,Your version is: java version "1.5.0_22".      The correct version is: 1.6.   解决办法:vim build/core/main.mk  将文件里面: java_ver
Release版本下编译错误求教
我在debug版本下<em>编译</em>通过,不过在Release版本下却出现这样的<em>编译</em><em>错误</em>,不知为什么?而且不光是这一个程序,还有别的程序也是,我想是不是设置有问题啊?rnCompiling...rnStdAfx.cpprnD:\Program Files\Microsoft Visual Studio\VC98\MFC\INCLUDE\afxwin1.inl(847) : error C2065: 'nWidth' : undeclared identifierrnError executing cl.exe.rnrnsjcj.exe - 1 error(s), 0 warning(s)rn
编译x86-Qtopia-2.2.0错误求教大神!
[b]我用#./build_all 2>&1|tee build.log方式<em>编译</em>,在build.log中查看到一下<em>错误</em>。rnrnrn<em>错误</em>:从类型‘const char*’到类型‘char*’的转换无效[img=https://forum.csdn.net/PointForum/ui/scripts/csdn/Plugin/003/monkey/12.gif][/img]rnrn/bin/rm: 无法删除"qtopia-2.2.0-FriendlyARM/qtopia/image/opt/Qtopia/lib/fonts/helvetica_*": 没有那个文件或目录 <em>错误</em>2rnrntar: qtopia-2.2.0-FriendlyARM/qtopia/image:无法 chdir: 没有那个文件或目录rntar: Error is not recoverable: exiting nowrnrnrnconfigure: error: Cannot link small Qtopia Application. For more details look atrnthe end of config.logrnmake: *** 没有指明目标并且找不到 makefile。 停止。rnstrip: 'konq-embed/src/konqueror': No such filerncp: 无法获取"konq/konq-embed/src/konqueror" 的文件状态(stat): 没有那个文件或目录rnmkdir: 无法创建目录"qtopia-2.2.0-FriendlyARM/qtopia/image/opt/Qtopia/pics/konqueror": 没有那个文件或目录rncp: 无法创建普通文件"qtopia-2.2.0-FriendlyARM/qtopia/image/opt/Qtopia/pics/konqueror": 没有那个文件或目录rncp: 无法创建普通文件"qtopia-2.2.0-FriendlyARM/qtopia/image/opt/Qtopia/apps/Applications": 没有那个文件或目录[/b]
ubuntu11.0.4下编译Android2.3源码过程遇到问题解决【不断更新】
ubuntu11.0.4下<em>编译</em>Android2.3源码过程 最近几天修改Android系统源码,<em>遇到</em>很多让人崩溃的问题。现在根据记忆写下,以后方便解决。 从2.3开始,jdk使用1.6版本及Linux系统使用64位,所以很多工具都要重新安装。 以下是第一次<em>编译</em>时<em>遇到</em>的问题: 1、权限不够<em>遇到</em>多次 /bin/bash: prebuilt/linux-...
编译过程中遇到的一些错误
1 error:expected identifier of '(' before 'void'     出错函数:int register(void)     <em>错误</em>原因:register属于C语言的关键字     解决方法:修改函数名register 2 error:将MD5.c<em>编译</em>成MD5.o时报错Relocations in generic ELF(EM:3)    <em>错误</em>原因:文件
编译FAAC-1.28时遇到错误
<em>编译</em>FAAC-1.28时<em>遇到</em><em>错误</em>, mpeg4ip.h:126: error: new declaration ‘char* strcasestr(const char*, const char*)’ 如下图 解决方法: vi common/mp4v2/mpeg4ip.h 从123行开始修改此文件mpeg4ip.h,到129行结束 #ifdef __cplusplus extern "C" {
编译openwrt 遇到qemu-2.11错误
gcc -I/home/acel/lede/build_dir/hostpkg/qemu-2.11.1/util -Iutil -I/home/acel/lede/build_dir/hostpkg/qemu-2.11.1/tcg -I/home/acel/lede/build_dir/hostpkg/qemu-2.11.1/tcg/i386 -I/home/acel/lede/build_dir...
gstreamer 0.10编译遇到错误
在linux下<em>编译</em>gstreamer出现一下<em>错误</em>: grammar.tab.c: In function 'priv_gst_parse_yyparse': grammar.tab.c:1819:7: error: too few arguments to function 'priv_gst_parse_yylex'    if (yychar == YYEMPTY)      
编译ffmpeg遇到头文件错误
我在试验将tutorial01.c的代码加入到ffmpeg中,从那形成一个可播放的程序,使tutorial01.c与ffmpeg中的代码相互调用起来."gcc -o tutorial01 tutorial01.c -lavutil -lavformat -lavcodec -lz"中-lavutil -lavformat -lavcodec -lz表示什么意思?
编译遇到错误,求助!
h文件rnpublic:rn CClientConsoleView* m_pAppView;rn CClientConsoleView* GetMainView(void);rnrncpp文件rnCClientConsoleView* CMainFrame::GetMainView(void)rnrn if(m_pAppView !=NULL ) return m_pAppView;rn CView* pWnd=GetActiveView();rn if(pWnd->GetSafeHwnd()==NULL) return NULL;rn CClientConsoleView* pView = DYNAMIC_DOWNCAST(CClientConsoleView, pWnd);rn return pView;rn //return NULL;rnrnrnoutputrn1>c:\documents and settings\administrator\桌面\文献\clientconsole\clientconsole\mainfrm.h(49): error C2143: syntax error : missing ';' before '*'rn1>c:\documents and settings\administrator\桌面\文献\clientconsole\clientconsole\mainfrm.h(50): error C2143: syntax error : missing ';' before '*'rn1>c:\documents and settings\administrator\桌面\文献\clientconsole\clientconsole\mainfrm.h(50): warning C4183: 'GetMainView': missing return type; assumed to be a member function returning 'int'
编译php时遇到错误
error 1checking for xml2-config path...configure: error: xml2-config not found. Please check your libxml2 installation.lib库没装 先用 yum search 名字 看是否能搜到名字 ,找到名字后 把软件包 开发包装上解决办法yum install lib...
编译过程中遇到的一个错误
这是我的代码:[code=c]/*-------------------------------------------------rn CHECKER1.C -- Mouse Hit-Test Demo Program NO.1rn 0xff 2013.8rn-------------------------------------------------*/rnrn#include rnrn#define DIVSIONS 5rnrnLRESULT CALLBACK WndProc(HWND, UINT ,WPARAM, LPARAM);rnrnint WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, PSTR szCmdLine, int iCmdShow)rnrn static TCHAR szAppName[] = TEXT("Checker1");rn HWND hwnd;rn MSG msg;rn WNDCLASS wndclass;rnrn wndclass.style = CS_HREDRAW | CS_VREDRAW;rn wndclass.lpfnWndProc = WndProc;rn wndclass.cbClsExtra = 0;rn wndclass.cbWndExtra = 0;rn wndclass.hInstance = hInstance;rn wndclass.hIcon = LoadIcon(NULL, IDI_APPLICATION);rn wndclass.hCursor = LoadCursor(NULL, IDC_ARROW);rn wndclass.hbrBackground = (HBRUSH)GetStockObject(WHITE_BRUSH);rn wndclass.lpszMenuName = NULL;rn wndclass.lpszClassName = szAppName;rnrn if(!RegisterClass(&wndclass))rn rn MessageBox(NULL, TEXT("This program requires Windows NT"), szAppName, MB_ICONERROR);rn return 0;rn rnrn hwnd = CreateWindow(szAppName, TEXT("Mouse Hit-Test Demo"),WS_OVERLAPPEDWINDOW,rn CW_USEDEFAULT, CW_USEDEFAULT,rn CW_USEDEFAULT, CW_USEDEFAULT,rn NULL, NULL, hInstance, NULL);rnrn ShowWindow(hwnd, iCmdShow);rn UpdateWindow(hwnd);rnrn while(GetMessage(&msg, NULL, 0, 0))rn rn TranslateMessage(&msg);rn DispatchMessage(&msg);rn rn return msg.wParam;rnrnrnLRESULT CALLBACK WndProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)rnrn static BOOL fState[DIVSIONS][DIVSIONS];rn static int cxBlock, cyBlock;rn HDC hdc;rn int x,y;rn PAINTSTRUCT ps;rn RECT rect;rnrn switch(message)rn rn case WM_SIZE:rn cxBlock = LOWORD(lParam) / DIVSIONS;rn cyBlock = HIWORD(lParam) / DIVSIONS;rn return 0;rnrn case WM_LBUTTONDOWN:rn x = LOWORD(lParam) / cxBlock;rn y = HIWORD(lParam) / cyBlock;rnrn if(x < DIVSIONS && y < DIVSIONS)rn rn fState[x][y] ^= 1;rn rect.left = x * cxBlock;rn rect.top = y * cyBlock;rn rect.right = (x + 1) * cxBlock;rn rect.bottom= (y + 1) * cyBlock;rnrn InvalidateRect(hwnd, &rect, FALSE);rn rn elsern MessageBeep(0);rn return 0;rnrn case WM_PAINT:rn hdc = BeginPaint(hwnd, &ps);rnrn for(x = 0; x < DIVSIONS; x++)rn for(y = 0; y < DIVSIONS; y++)rn rn Rectangle(hdc, x * cxBlock, y * cyBlock, (x + 1) * cxBlock, (y + 1) * cyBlock);rnrn if(fState[x][y])rn rn MoveToEx(hdc, x * cxBlock, y * cyBlock, NULL);rn LineTo(hdc, (x + 1) * cxBlock, (y + 1) * cyBlock);rn MoveToEx(hdc, x * cxBlock, (y + 1) * cyBlock, NULL);rn LineTo(hdc, (x + 1) * cxBlock, y * cyBlock);rn rn rn EndPaint(hwnd,&ps);rn return 0;rnrn case WM_DESTROY:rn PostQuitMessage(0);rn rn return DefWindowProc(hwnd, message, wParam, lParam);rnrnrn[/code]rn1>LINK : fatal error LNK1327: 运行 rc.exe 期间出错rn百度上也找不到这个LNK1327<em>错误</em>是个什么类型的<em>错误</em>,求解答rn
ubuntu14编译android4.0遇到错误
一. 工具      sudo apt-get install git-core gnupg flex bison gperf build-essential \       zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \       libx11-dev:i386 libreadline6-dev:i386
latex编译遇到错误
问题一、:<em>编译</em>报错Misplaced alignment tab character &amp; 点击跳到.bbl文件里面 <em>错误</em>原因:在LaTeX中&amp;符号有特殊含义,不能直接写,需要使用转义字符的形式。即 \&amp;。而LaTeX引文.bib 插入的由google学术或者百度学术复制来的bibtex中有&amp;字符 修改:在.bib文件中,将&amp; 改为 \&amp;,删除....
keepalived源码安装及编译遇到错误
先安装一些依赖包。这里可以先不去-y,这样我们可以看到即将安装的软件一共有几个有何依赖包,哪些是install,哪些是updateyum install kernel-devel openssl-devel popt-devel切换到keepalived 的源码包目录cd /usr/local/src解压源码包tar zvxf keepalived-1.2.24.tar....
hadoop编译过程中遇到错误
2019独角兽企业重金招聘Python工程师标准&gt;&gt;&gt; ...
编译caffe时遇到错误
长期更新。。。 普通的好找的就没有记录了。 1、 问题: /usr/bin/ld: warning: libopencv_core.so.3.1, needed by //usr/local/lib/libopencv_imgcodecs.so, may conflict with libopencv_core.so.2.4 /usr/bin/ld: /tmp/ccJnrotv.o: u...
编译过程中遇到错误,求助!!
s.Format("%s",CommonUtil::cur[n].name.c_str());//出错语句rnrnrn error C2248: 'cur' : cannot access protected member declared in class 'CommonUtil'//<em>错误</em>显示
Ubuntu12.10编译openwrt遇到错误
由于Openwrt有很多工具是要先<em>编译</em>的,在Ubuntu12.10平台下<em>编译</em>openwrt时就<em>遇到</em>了下面这样的<em>错误</em>:elf.cpp: In static member function 'static Elf::file* Elf::file::open(const char*)':elf.cpp:68:5: error: '::close' has not been declared后经goog...
编译linux内核遇到错误 记录
Actual Results: HOSTCC scripts/mod/sumversion.oscripts/mod/sumversion.c: In function ‘get_src_version’:scripts/mod/sumversion.c:384: error: ‘PATH_MAX’ undeclared (first use inthis function)...
编译bluez-5.25 遇到错误及解决方法
在<em>编译</em>前我已经做好了D-bus1.8.10,glib2.28.6,bluez-libs-3.36,bluez-utils-3.36的<em>编译</em>,并且已经设置好了环境,如果<em>遇到</em>明明已经成功了<em>编译</em>,却找不到<em>编译</em>后的库文件,可以参考http://blog.csdn.net/wang_shuai_ww/article/details/41720841。 我这里在完成上面说的之后,<em>编译</em>bluez-5.2
编译openwrt n2n遇到错误
<em>编译</em>openwrt n2n<em>遇到</em><em>错误</em> error: redefinition of 'struct ethhdr' ; note: originally defined here; cc1: some warnings being treated as errors Packing checkout... touch /home/acel/lede/build_dir/target-mipsel_...
android编译faplayer遇到错误
Compile arm: ass_plugin &lt;= libass.cIn file included from jni/vlc/modules/codec/libass.c:43:jni/ext/libass/include/ass/ass.h:1:error: expected identifier or '(' before '.' tokenjni/vlc/modul...
编译caffe遇到错误总结
在是在python2.7的环境中<em>编译</em>的caffe,其中<em>遇到</em>一些<em>错误</em>,总结如下: .build_release/src/caffe/proto/caffe.pb.h:12:2: error: #error This file was generated by a newer version of protoc which is:主要原因是protobuf的版本不合适,如果直接在环境中conda in...
Keil 编译STM32 遇到错误
rnrnKeil <em>编译</em>STM32 <em>遇到</em><em>错误</em>:rn 请大家帮忙指导下:?rnrnWNL.axf: Error: L6320W: Ignoring --entry command. Cannot find argument 'Reset_Handler'.rnWNL.axf: Warning: L6320W: Ignoring --first command. Cannot find argument '__Vectors'.
编译Chromium时遇到错误
在<em>编译</em>Chromium时,在其中一个文件password_store_default_unittest.cc<em>遇到</em><em>错误</em>rn[code=C/C++]rn // Some non-ASCII password form data.rn PasswordFormData form_data[] = rn PasswordForm::SCHEME_HTML,rn "http://foo.example.com",rn "http://foo.example.com/origin",rn "http://foo.example.com/action",rn L"มีสีสัน", //下面第一个<em>错误</em>指向这里rn L"お元気ですか?",rn L"盆栽",rn L"أحب كرة",rn L"£éä국수çà",rn true, false, 1 ,rn ;rn[/code]rnrn<em>错误</em>信息rn[code=C/C++]rn1>.\browser\password_manager\password_store_default_unittest.cc(175) : error C2001: newline in constantrn1>.\browser\password_manager\password_store_default_unittest.cc(180) : error C2440: 'initializing' : cannot convert from 'bool' to 'const wchar_t *'rn1>.\browser\password_manager\password_store_default_unittest.cc(180) : error C3852: 'PasswordFormData::creation_time' having type 'const double': aggregate initialization could not initialize this memberrn1>.\browser\password_manager\password_store_default_unittest.cc(180) : error C2512: 'PasswordFormData::PasswordFormData' : no appropriate default constructor availablern1>.\browser\password_manager\password_store_default_unittest.cc(180) : error C2078: too many initializersrn[/code]rnrn我查了下好像是和utf8编码有关,但是不知道为什么<em>编译</em>不过。知道的高手教一下。
Eclipse导入Android2.3源码错误
<em>编译</em>过的Android2.3源代码,往Eclipse中导入的时候,packages/apps/Gallery/src ,development/samples/HeavyWeight/src有<em>错误</em>。不知道为什么,该导的包已经导了,.classpath文件也相应的改过了。菜鸟求指教~
ubuntu10.10编译android源码(x210ii android2.3)出现的错误以及解决方案
我使用的是ubuntu10.10 配置了如下环境 sudo apt-get install git-core gnupg sun-java6-jdk flex bison gperf libsdl-dev libwxgtk2.6-dev build-essential zip curl libncurses5-dev zlib1g-dev genromfs 很可能个别软件包会安装失败,比如su
求教编译遇到的问题,与BDE有关!
重新安装BCB6.0后,原来<em>编译</em>通过的程序再<em>编译</em>时出现:rnBuildrn [C++ Error] BDE.hpp(4159): E2015 Ambiguity between 'PLongint' and 'System::PLongint'rn [C++ Error] BDE.hpp(4222): E2015 Ambiguity between 'PLongint' and 'System::PLongint'rn请问是何缘故?rnrn谢谢!
修改frameworks编译遇到不懂求教
我按照网上一篇文章《在Android 2.3状态栏中添加menu,home和back快捷键的方法》说的修改了frameworks下的内容,最后一步是<em>编译</em>,那篇文章这样写的:rnrn<em>编译</em>工程 rn#source /opt/android_froyo_smdk/build/envsetup.shrn#export TARGET_PRODUCT=full_smdkv210rn#mmm frameworks/base/rn把<em>编译</em>生成的相关文件放进SD卡对应的目录即可, rnrn我看不懂这个过程,也不知道怎么做。然后上网查找猜测:rn第一条命令是执行源码中 build下的 envsetup.sh 脚本。于是我通过超级终端输入rn<em>android2.3</em>.3_GB_T34$ ./build/envsetup.sh 显示:rnincluding device/htc/passion/vendorsetup.shrnincluding device/hzsscr/t34/vendorsetup.shrnincluding device/samsung/smdkc110/vendorsetup.shrnincluding device/samsung/smdkv210/vendorsetup.shrnrn不过第二条命令又看不懂了。至于第三种命令,在 frameworks/base/下确实有个文件Android.mk,但是我在执行命令1,没有执行命令2的情况下输入:rn<em>android2.3</em>.3_GB_T34$mmm frameworks/base/rn显示mmm: command not foundrnrn<em>求教</em>,我该怎么<em>编译</em>啊?
紧急求教:BCB屏幕截图编译遇到的问题
请教各位大虾:我用BCB编写了屏幕截图的程序,<em>编译</em>全部通过,可是运行时出现问题。在5.0上提示“Access violation at address 400291AB in module 'VCL50.BPL'.Read of address 00000000”;rnrn在BCB6.0上提示“Access violation at address 400291DECF in module 'rtl60.BPL'.Read of address 00000000”;rn是否缺少某个头文件?
****求教:调用COM+时遇到错误****
偶做了一个COM+ Subscription Object的组件,注册以后使用ASP进行调用(vbscript)时rnrn提示:DAX errorrn<em>错误</em>内容: Invalid class typecastrnrn调用的语法没什么<em>错误</em>感觉,不知是否配置有问题,请高手赐教
编译遇到这些错误求教大神啊
error C2143: 语法<em>错误</em> : 缺少“;”(在“”的前面)rn error C4430: 缺少类型说明符 - 假定为 int。注意: C++ 不支持默认 intrnrn部分代码如下:rn#if !defined(AFX_COLORDLG_H__8F8B35A7_A4EB_49D5_A6C9_6D93CFBA1D46__INCLUDED_)rn#define AFX_COLORDLG_H__8F8B35A7_A4EB_49D5_A6C9_6D93CFBA1D46__INCLUDED_rnrn#if _MSC_VER > 1000rn#pragma oncern#endif // _MSC_VER > 1000rn// ColorDlg.h : header filern//rn#include "colourpicker.h"rn/////////////////////////////////////////////////////////////////////////////rn// rnvalue class CColorDlg : public CDialogrn出错的是最后一行,即value class CColorDlg : public CDialog
ubuntu12.04 32 编译Android2.3源码(源码已有)
准备工作: sudo apt-get install build-essential sudo apt-get install make sudo apt-get install gcc sudo apt-get install g++ sudo apt-get install libc6-dev sudo apt-get install patch sudo apt-get ins
[转帖]android2.3源码下载编译全过程
[b]转自[/b]:[url]http://www.eoeandroid.com/thread-61367-1-1.html[/url] @[color=red]官方的文档地址[/color]:http://source.android.com/source/download.html(但可能会<em>遇到</em>点问题请看下面的讲解) @[color=red]系统要求[/color]: 1 u...
android2.3源码下载编译全过程(附图及文档)修改版
==== http://www.eoeandroid.com/forum.php?mod=viewthread&tid=61367&extra=page%3D1%26filter%3Ddigest%26digest%3D1 本帖最后由 yyl719133368 于 2012-2-27 19:28 编辑 @官方的文档地址:
Ubuntu平台下Android2.3源码下载编译全过程
Ubuntu平台下Android2.3源码下载<em>编译</em>全过程
Ubuntu10.04系统 32位机上安装编译Android2.3源码
Ubuntu10.04系统 32位机上安装<em>编译</em>Android2.3源码,其步骤和注意事项如下: 1.安装JDK6 对于Android2.3系统,不要安装JDK5,应该安装最新的JDK6。 如果安装了JDK6,Android会自动按64位<em>编译</em>,如果系统是32位的,会有<em>编译</em>
Ubuntu11.04(64位)编译Android2.3源码常见错误解决办法
今天在Ubuntu11.04(64位)<em>编译</em>Android2.3源码时,<em>遇到</em>各种各样的问题。不是缺这个,就是少那个。现把这些问题和解决方法罗列出来,供大家参考 <em>错误</em>: /usr/include/gnu/stubs.h:7:27: error: gnu/stubs-32.h:
Ubuntu 32位机上安装编译Android2.3源码
(转自)http://blog.163.com/fenglang_2006/blog/static/1336623182011115111052818/ Ubuntu10.10系统 32位机上安装<em>编译</em>Android2.3源码,其步骤和注意事项如下: 1.安装JDK6 对于A
ubuntu 编译android2.3源代码 出现了问题
n自己要<em>编译</em>android源代码,本来安装的j是jdk1.6碰到了一个问题就重新装了jdk1.5。不过接着<em>编译</em>的时候出现了下面的问题,n![图片说明](https://img-ask.csdn.net/upload/201603/10/1457601172_875652.png)n有大神知道怎么解决吗
Ubuntu14.04下Android2.3源码(包括kernel)下载、编译
国内使用清华大学镜像站下载Android源码
编译的时候出现致命的错误求教!!!
rn这是小女<em>编译</em>的时候碰到的问题,就从网下来了一个开源软件的源代码,然后用Cmake软件Configure了一下,Generator了一下,然后打开了VS2008进行ALL_BUILD,然后就是一系列的问题,这是最早出现的问题。如果这个解决了,估计后面的也有希望。谢谢各位大侠,我实在看不懂为什么。rnrn2>github.com[0: 207.97.227.239]: errno=No errorrn2>fatal: unable to connect a socket (No error)rn2>Cloning into ITKv3...rn2>CMake Error at ITKv3-prefix/tmp/ITKv3-gitclone.cmake:19 (message):rn2> Failed to clone repository: 'git://github.com/Name/ITK.git'rn2>Project : error PRJ0019: 某个工具从以下位置返回了<em>错误</em>代码: "Performing download step (git clone) for 'ITKv3'"rnrnrn5>github.com[0: 207.97.227.239]: errno=No errorrn5>fatal: unable to connect a socket (No error)rn5>Cloning into NameExModel...rn5>CMake Error at SlicerExecutionModel-prefix/tmp/NameExModel-gitclone.cmake:19 (message):rn5> Failed to clone repository: 'git://github.com/Slicer/NameExModel.git'rn5>Project : error PRJ0019: 某个工具从以下位置返回了<em>错误</em>代码: "Performing download step (git clone) for 'NameExModel'"rnrnrn6>github.com[0: 207.97.227.239]: errno=No errorrn6>fatal: unable to connect a socket (No error)rn6>Cloning into qCDashAPI...rn6>CMake Error at qCDashAPI-prefix/tmp/qCDashAPI-gitclone.cmake:19 (message):rn6> Failed to clone repository: 'git://github.com/jcfr/qCDashAPI.git'rn6>Project : error PRJ0019: 某个工具从以下位置返回了<em>错误</em>代码: "Performing download step (git clone) for 'qCDashAPI'"rnrnrn8>github.com[0: 207.97.227.239]: errno=No errorrn8>fatal: unable to connect a socket (No error)rn8>Cloning into VTK...rn8>CMake Error at VTK-prefix/tmp/VTK-gitclone.cmake:19 (message):rn8> Failed to clone repository: 'git://github.com/Name/VTK.git'rn8>Project : error PRJ0019: 某个工具从以下位置返回了<em>错误</em>代码: "Performing download step (git clone) for 'VTK'"
Ubuntu10.10(64位)编译Android2.3源码问题解决
http://www.cnblogs.com/jvlstudio/archive/2011/05/14/2046562.html 1.安装Ubuntu 10.10       可选择使用Wubi安装。 2.安装Python       Ubuntu 10.10 已经安装了2.6版。 3.安装JDK       更新软件库:       sudo add-apt-rep
Android2.3系统源码及编译后内容下载分享
2019独角兽企业重金招聘Python工程师标准&gt;&gt;&gt; ...
[转]ubuntu11.0.4下编译Android2.3源码过程
文章来源:http://huangchangzhuan.blog.163.com/blog/static/3563473520116631410271/ ubuntu11.0.4下<em>编译</em>Android2.3源码过程 分类: 技术收藏 学习笔记 2011-06-3
编译求教
各位大侠,我用vfp做了一个应用软件,各模块调试无误。利用应用程序向导生成了一个主文件,<em>编译</em>发布安装后,运行时,总是有一个自动生成的vfp菜单处于活动状态,且主菜单的各模块功能皆不能用。请问各路高手,这是为何。并请教高手如何做主程序文件,何处能买到介绍这方面知识的教材,请高手不吝赐教!!!盼盼rnemail:imdgd@163.com
gradle编译spring源码遇到错误
gradle<em>编译</em>spring源码出现 Failed to capture snapshot of input files for task 'distZip' property 'source' d uring up-to-date ch.........的<em>错误</em> 解决方案:打开spring源码中的build.gradle,将 task schemaZip(type:
lede编译freeradius2时遇到错误解决方法
在<em>编译</em>freeradius2时,<em>遇到</em>了如下<em>错误</em>:/usr/bin/ld: .libs/debug.o: Relocations in generic ELF (EM: 8) /usr/bin/ld: .libs/debug.o: Relocations in generic ELF (EM: 8) .libs/debug.o: error adding symbols: File in wrong
编译hadoop1.0.4时遇到的两个错误
1.缺少autoconf BUILD FAILED /home/hadoop/tools/hadoopCode/hadoop-1.0.4/build.xml:618: Execute failed: java.io.IOException: Cannot run program &quot;autoreconf&quot; (in directory &quot;/home/hadoop/tools/hadoopCode...
android NDK编译遇到atof错误
今天使用ndk<em>编译</em>一个第三方库,<em>编译</em>ok后,运行的时候报错 dlopen failed:cannot locate symol "atof" referenced  by ... 网上查找了资料,原因是atof不是库中的函数,而是inline函数: http://stackoverflow.com/questions/14571399/android-ndk-cant-find-atof-f
有关webkit编译遇到的一些错误
1.在webkit<em>编译</em>的过程中总是<em>遇到</em>一些glib的版本找到新的但是又发现旧的这种<em>错误</em>这种情况 在<em>编译</em>的时候 加上 ../../configure --with-gtk=2.0 --disable-glibtest --disable-schemas-compile 就会绕过这个<em>错误</em>。 make -t 这个又是是很管用
VC2008编译mesa工程遇到LNK2001错误
mesa7.7是开源的opengl的实现。到[url=ftp://ftp.freedesktop.org/pub/mesa/][/url]下载源程序包,一般要用到两个包mesaLib.zip和mesaGLUT.zip。下载完成之后,把两个包放在同一个目录下面,直接选择“解压到当前目录...”来解压两个包,默认情况下,两个包被解压到了同一个文件夹下面rn按照官方的配置方法如下,rnWindows Driversrn------- -------rnrnAt this time, only the GDI driver is known to work. Most of the demosrnin progs/demos should work with this driver.rnrnSource code also exists in the tree for other drivers inrnsrc/mesa/drivers/windows, but the status of this code is unknown.rnrnThe GDI driver operates basically by writing pixel spans into a DIBrnsection and then blitting the DIB to the window. The driver wasrnrecently cleaned up and rewitten and so may have bugs or may bernmissing some functionality. The older versions of the CVS source mayrnbe useful in figuring out any problems, or report them to me.rnrnTo build Mesa with the GDI driver, build the mesa, gdi, and glurnprojects in the Visual Studio workspace found atrnrnwindows/VC8/mesa/mesa.slnrnrnThe osmesa DLL can also be built with the osmesa project.rnrnThe build system creates a lib top-level directory and copiesrnresulting LIB and DLL files to this lib directory. The files are:rnrnOPENGL32.LIB, GLU32.LIB, OSMESA32.LIBrnOPENGL32.DLL, GLU32.DLL, OSMESA32.DLLrnrnIf the MesaDemos ZIP file was extracted, the DLL files are also copiedrnto the demos directory. This facilitates running the demos as describedrnbelow.rnrn 官方推荐vs2005.但我只有vs2008.我用vs2008<em>编译</em>,只有mesa.lib正常<em>编译</em>成功,但<em>编译</em>gdi项目时经过我修正一个"缺少RedBits、GreenBits、BlueBits成员"<em>错误</em>后,还出现非常的多的连接<em>错误</em>如下rn mesa.def : error LNK2001: 无法解析的外部符号 _mesa_compressed_texture_sizern2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyColorSubTablern2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyColorTablern2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyConvolutionFilter1Drn2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyConvolutionFilter2Drn2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyTexImage1Drn2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyTexImage2Drn2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyTexSubImage1Drn2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyTexSubImage2Drn2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_meta_CopyTexSubImage3Drn2>mesa.def : error LNK2001: 无法解析的外部符号 _mesa_wait_queryrn2>D:Mesa-7.7windowsVC8mesaDebug Static CRTOPENGL32.lib : fatal error LNK1120: 11 个无法解析的外部命令rnrn 望高手们下载调试解决一下<em>编译</em>问题
编译android源码遇到错误及其解决方法
升级ubuntu的14.04后,android的源码又<em>编译</em><em>错误</em>了,一下是<em>错误</em>说明赫解决方法: 1、make: *** [out/host/linux-x86/obj/EXECUTABLES/aidl_intermediates/aidl_language_y.cpp] 断开的管道 解决方法: sudo apt-get install bison sudo apt-get insta...
编译JSP时遇到错误。怎办?
[31/Jan/2002:14:48:51] info ( 9637): JSP: JSP1x compiler threw exceptionrnorg.apache.jasper.JasperException: Page directive: can't have multiple occurrences of sessionrn at org.apache.jasper.compiler.JspParseEventListener$SessionHandler.handlePageDirectiveAttribrnute(JspParseEventListener.java:460)rn at org.apache.jasper.compiler.JspParseEventListener.handleDirective(JspParseEventListener.jarnva:680)rn at org.apache.jasper.compiler.DelegatingListener.handleDirective(DelegatingListener.java:119rn)rn at org.apache.jasper.compiler.Parser$Directive.accept(Parser.java:190)rn at org.apache.jasper.compiler.Parser.parse(Parser.java:1048)rn at org.apache.jasper.compiler.Parser.parse(Parser.java:1022)rn at org.apache.jasper.compiler.Parser.parse(Parser.java:1018)rn at org.apache.jasper.compiler.Compiler.compile(Compiler.java:173)rn at com.netscape.server.http.servlet.NSServletEntity.load(NSServletEntity.java:230)rn at com.netscape.server.http.servlet.NSServletEntity.update(NSServletEntity.java:149)rn at com.netscape.server.http.servlet.NSServletRunner.Service(NSServletRunner.java:453)rnrnrn[31/Jan/2002:14:48:51] warning ( 9637): Internal error: Failed to get GenericServlet. (uri=/pim/PIMWrnP020.jsp,SCRIPT_NAME=/pim/PIMWP020.jsp)
redhat5.9 64bit 编译 32位程序,遇到错误
ld.bin: skipping incompatible /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/libperl.so when searching for -lperlrnld.bin: cannot find -lperlrn应该是需要32位的libperl.so,但目前系统中只有64位的,该如何解决?
ubuntu16.04编译opencv3.4.1和contrib遇到错误及解决方法
Cmake error atopencv_contrib-master/modules/datasets/CMakeLists.txt:5 (ocv_append_source_files_cxx_compiler_options):Unknown CMake command &quot;ocv_append_source_files_cxx_compiler_options&quot;.-- Configuring...
编译android 2.2时遇到一个错误
<em>编译</em>android 2.2时<em>遇到</em>一个<em>错误</em>。 &quot;acp: file 'out/host/linux-x86/obj/EXECUTABLES/vm-tests_intermediates/tests/data' does not exist&quot; 按照提示创建目录即可解决: 'out/host/linux-x86/obj/EXECUTABLES/vm-tests_intermediat...
编译php5遇到iconv错误的解决方法
第一个方法:在make 时,用make ZEND_EXTRA_LIBS='-liconv'代替第二方法,麻烦一些http://rental.zhupiter.com/postshow_273_1_1.html在安裝 PHP 到系統中时要是出现「undefined reference to `libiconv_open'」之类的<em>错误</em>信息,那表示在「./configur
android4.0编译过程中遇到错误及解决方式
1.问题:   2 . 问题:/usr/include/features.h:324:26: fatal error: bits/predefs.h: No such file or directory     解决方法:sudo apt-get install gcc-multilib
spark 编译遇到错误及解决办法(三)
Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.19.1:test (default-test) <em>错误</em>原因:测试代码没通过 mvn clean package -Dmaven.test.skip=true 直接跳过测试 由于全部测试耗时太长,这时需要对修改的模块进行<em>编译</em>(以s...
编译Chromium遇到错误~求大神帮忙
我是在Win7 vs2010 的环境下<em>编译</em>Chromium,在进行调试时<em>遇到</em><em>错误</em>提示[img=https://img-bbs.csdn.net/upload/201311/09/1383961582_313934.png][/img]rnrn求大神帮忙解决。rn本人菜鸟一枚,最近刚开始学C++,对<em>编译</em>环境不太熟悉,求大神给出详细的解决方法。
ubuntu16.04安装、编译LSD-SLAM遇到错误及解决
1、 报错:ERROR [gendeps] 1 Finding dependencies for /home/cc/rosbuild_ws/package_dir/lsd_slam/lsd_slam_viewer/cfg/LSDSLAMViewerParams.cfg 分析:顾名思义,不应该在描述中出现引号(单引号或双引号),可以通过查看<em>错误</em>内容得知需要修改的文件的名称。 解决方法: ...
Android JNI demo编译遇到错误
Android JNI demo<em>编译</em><em>遇到</em>的<em>错误</em>
遇到HashSet_jni.h错误导致编译中止的问题
在64位ubuntu上<em>编译</em>katkit4.4时经常<em>遇到</em>以下<em>错误</em>导致<em>编译</em>中止,困扰了很长时间才解决此问题,尝试过几种不同的方法,最后总算找到了根本原因。 先看下<em>错误</em>现象,提示HashSet_jni.h error。 <em>错误</em>现象: In file included from externalromium_org/content/common/android/hash_set.cc:5:0: ou
编译2.6.31 内核编译 以及 遇到的问题和错误
内核的<em>编译</em>流程1.到官方网站下载内核2、解压#tar -jxvf linux-2.6.31.tar.bz2然后移动解压后的文件到 /usr/src#mv linux-2.6.31 /usr/src#cd /usr/src/linux-2.6.31如果怕之前已经有人<em>编译</em>过核心,会产生一些.o的目的档案,所以先执行:#make mrproper会显示RM去除档案的讯息3、如果对同一版本内核<em>编译</em>
spark 编译遇到错误及解决办法(二)
[INFO] Spark Project Parent POM ........................... SUCCESS [ 17.129 s] [INFO] Spark Project Tags ................................. SUCCESS [ 29.191 s] [INFO] Spark Project Sketch ...........
编译linux-3.15.5时遇到的几个错误
2019独角兽企业重金招聘Python工程师标准&gt;&gt;&gt; ...
spark 编译遇到错误及解决办法(一)
[INFO] Building Spark Project Parent POM 2.1.0 [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ ...
编译qt程序遇到奇怪的错误?求解
代码如下 rnfinddialog.h rnrn#ifndef FINDDIALOG_CLASSrn#define FINDDIALOG_CLASSrn#include rnrnclass QLabel;rnclass QLineEdit;rnclass QPushButton;rnclass QCheckBox;rnrnclass FindDialog:public QDialogrnrn Q_OBJECTrnrn public:rn FindDialog(QWidget *parent=0);rn signals:rn void findNext(const QString &str,Qt::CaseSensitivity cs);rn void findPrevious(const QString &str,Qt::CaseSensitivity cs);rn private slots:rn void findClicked();rn void enableFindButton(const QString &text);rnrn private:rn QLabel *findLabel;rn QLineEdit *edit;rn QPushButton *find;rn QPushButton *close;rn QCheckBox *box1;rn QCheckBox *box2;rn rn rn rn;rn#endifrnrnrnfinddialog.cpp 文件rnrn#include "finddialog.h"rn#include rn#include rn#include rn#include rn#include rn#include rn#include rnrnFindDialog::FindDialog(QWidget *parent):QDialog(parent)rnrn findLabel= new QLabel(tr("Find &What"));rn //findLabel->show();rn edit= new QLineEdit;rn //edit->show();rn findLabel->setBuddy(edit);rn box1= new QCheckBox(tr("Match &case"));rn box1->show();rn box2= new QCheckBox(tr("Search &backward"));rn box2->show();rn find = new QPushButton(tr("&Find"));rn find->setDefault(true);rn find->setEnabled(false);rn find->show();rn close =new QPushButton(tr("Close"));rn close->show();rn connect(edit,SIGNAL(testChanged(const QString &)),this,SLOT(enableFindButton(const QString &)));rn connect(find,SIGNAL(clicked()),this,SLOT(findClicked()));rn connect(close,SIGNAL(clicked()),this,SLOT(close()));rn rn QGridLayout *layout = new QGridLayout;rn layout->addWidget(findLabel,0,0);rn layout->addWidget(edit,0,1);rn layout->addWidget(find,0,2);rn layout->addWidget(box1,1,0,1,2);rn layout->addWidget(close,1,2);rn layout->addWidget(box2,2,0,1,3);rn //layout->show();rn setLayout(layout);rn rnrnvoid FindDialog::findClicked()rnrn QString text = edit->text();rn Qt::CaseSensitivity cs = box1->isChecked()?Qt::CaseSensitive : Qt::CaseInsensitive;rn if(box2->isChecked())rn rn emit findPrevious(text,cs);rn rn elsern rn emit findNext(text,cs);rn rnrnvoid FindDialog::enableFindButton(const QString &text)rnrn find->setEnabled(!text.isEmpty());rnrnvoid FindDialog::findPrevious(QString const&, Qt::CaseSensitivity)rnrnrnvoid FindDialog::findNext(QString const&, Qt::CaseSensitivity)rnrnrn rn<em>编译</em>出现的<em>错误</em>如下:rnrnfinddialog.o: In function `FindDialog::FindDialog(QWidget*)':rnfinddialog.cpp:(.text+0xee): undefined reference to `vtable for FindDialog'rnfinddialog.cpp:(.text+0xf5): undefined reference to `vtable for FindDialog'rnfinddialog.cpp:(.text+0x10d): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.cpp:(.text+0x1a7): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.cpp:(.text+0x216): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.cpp:(.text+0x285): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.cpp:(.text+0x31a): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.o: In function `FindDialog::FindDialog(QWidget*)':rnfinddialog.cpp:(.text+0x64e): undefined reference to `vtable for FindDialog'rnfinddialog.cpp:(.text+0x655): undefined reference to `vtable for FindDialog'rnfinddialog.cpp:(.text+0x66d): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.cpp:(.text+0x707): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.cpp:(.text+0x776): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.cpp:(.text+0x7e5): undefined reference to `FindDialog::staticMetaObject'rnfinddialog.cpp:(.text+0x87a): undefined reference to `FindDialog::staticMetaObject'rncollect2: ld returned 1 exit statusrnmake: *** [finddialog] <em>错误</em> 1rnrn
主成分分析课件 多元统计方面的经典课件下载
讲的非常好的一个主成分分析课件 许多概念都讲解到位 非常值得收藏 相关下载链接:[url=//download.csdn.net/download/hj7542/2237757?utm_source=bbsseo]//download.csdn.net/download/hj7542/2237757?utm_source=bbsseo[/url]
VC++邮件发送和接受程序下载
用VC++实现的邮件发送和接受程序,是本人大学的课程设计。 相关下载链接:[url=//download.csdn.net/download/yuxinxing198621/2331693?utm_source=bbsseo]//download.csdn.net/download/yuxinxing198621/2331693?utm_source=bbsseo[/url]
C#如何使用皮肤美化界面下载
几个不错的c#界面皮肤,重点是资源中有详细的使用说明视频,包会的哦,呵呵 相关下载链接:[url=//download.csdn.net/download/liyufly2007/2705625?utm_source=bbsseo]//download.csdn.net/download/liyufly2007/2705625?utm_source=bbsseo[/url]
我们是很有底线的